> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Create equity or token tax event

POST https://api.letsdeel.com/rest/equities-tokens/tax-events
Content-Type: application/json

Submits an equity or token tax event for an EOR worker enrolled in Equity & Token Services.

 **Token scopes**: `equities:write`

Reference: https://developer.deel.com/api/reference/endpoints/equity-tokens/create-equity-or-token-tax-event-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Body (application/json)

This endpoint expects an object.

- `data` (EquitiesTokensTaxEventsPostRequestBodyContentApplicationJsonSchemaData, optional)

## Response

### 201

Successful operation.

- `data` (EquitiesTokensTaxEventsPostResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 400 Bad Request Error

Bad request

- `errors` (list of EquitiesTokensTaxEventsPostResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### EquitiesTokensTaxEventsPostRequestBodyContentApplicationJsonSchemaData

- `fx_rate` (float, required) — The exchange rate used to convert the local currency to the payroll currency
- `contract_id` (string, required) — The unique identifier of the contract of the employee who received the equity/token grant
- `plan_currency` (string, required) — The currency in which the equity/token grant was issued
- `settlement_date` (string, required) — The date of the settlement
- `payroll_currency` (string, required) — The currency in which the payroll is processed
- `tax_jurisdiction` (string, required) — The tax jurisdiction in which the equity/token grant was issued
- `taxable_gain_or_loss` (float, required) — The taxable gain or loss
- `total_taxes_withheld` (float, required) — The total amount of taxes withheld
- `method_of_tax_coverage` (enum, required) — The method used to cover the taxes
  - Allowed values: `AD_HOC`, `BIK_REPORTING_ONLY`, `BIK_WITHHOLDING_AT_SOURCE_CLIENT`, `BIK_WITHHOLDING_AT_SOURCE_CLIENT_REVERSE`, `BIK_WITHHOLDING_GROSSED_UP_BONUS`, `BIK_WITHHOLDING_NET_SETTLEMENT`, `BIK_WITHHOLDING_SALARY_DEDUCTION`, `BIK_WITHHOLDING_WORKER`, `NO_BIK_NO_WITHHOLDING`
- `withheld_tax_local_currency` (float, required) — The tax withheld in the local currency
- `benefit_in_kind_local_currency` (float, required) — The benefit in kind in the local currency
- `tax_rate` (float, optional) — The tax rate applied to the benefit in kind
- `unit_fmv` (float, optional) — The fair market value of the equity/token grant at the time of the event
- `event_date` (string, optional) — The date of the event
- `sale_price` (float, optional) — The price at which the equity/token was sold
- `gross_value` (float, optional) — The gross value of the equity/token grant
- `exercise_price` (float, optional) — The price at which the equity/token was exercised
- `equity_grant_id` (string, optional) — The unique identifier of the equity/token grant - optional in case you don't have remove the property
- `transaction_fees` (float, optional) — The fees associated with the transaction
- `quantity_remaining` (float, optional) — The quantity of equity/token that remains
- `total_exercise_price` (float, optional) — The total exercise price
- `quantity_withheld_or_sold` (float, optional) — The quantity of equity/token that was withheld or sold
- `quantity_exercised_or_released` (float, optional) — The quantity of equity/token that was exercised or released

### EquitiesTokensTaxEventsPostResponsesContentApplicationJsonSchemaData

- `id` (string, optional) — the id of the equity/token tax event generated
- `created_at` (string, optional) — the date and time when the equity/token tax event was created

### EquitiesTokensTaxEventsPostResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — return code error
- `field` (string, optional) — field that caused the error
- `message` (string, optional) — description of the error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": {
    "id": "cb50474d-2f76-42d8-a795-5277007a29d9",
    "created_at": "2025-09-22T10:00:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/equities-tokens/tax-events"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/equities-tokens/tax-events';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/equities-tokens/tax-events"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/equities-tokens/tax-events")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/equities-tokens/tax-events")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/equities-tokens/tax-events', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/equities-tokens/tax-events");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/equities-tokens/tax-events")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```